<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'Bill'">  </xsl:when>
	<xsl:when test="data/@action = 'Invoice'">  -</xsl:when>
	<xsl:when test="data/@action = 'AddBill'"> </xsl:when>
	<xsl:when test="data/@action = 'WM'"></xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="@action = 'Bill'">
		<xsl:call-template name="Bill"/>
	</xsl:when>
	<xsl:when test="@action = 'Invoice'">
		<xsl:call-template name="Invoice"/>
	</xsl:when>
	<xsl:when test="@action = 'AddBill'">
		<xsl:call-template name="AddBill"/>
	</xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template name="Bill">
	<xsl:variable name="mid" select="@mid"/>
	
		<xsl:call-template name="error"/>
	
		<div class="report">
			
			<xsl:call-template name="pagesBar">
				<xsl:with-param name="node" select="bills"/>
				<xsl:with-param name="data">
					<xsl:call-template name="action"/>
				</xsl:with-param>
			</xsl:call-template>
			
			<div>
				<table class="table800">
					<thead>
					  <tr>
					  	<td></td>
						<td></td>
						<td> </td>
						<td> </td>
						<td></td>
						<td></td>
						<td></td>
						<td> </td>
						<td>PDF</td>
						<td></td>
					  </tr>
					</thead>
					<tbody>
					  <xsl:for-each select="bills/bill">
					  	<xsl:variable name="uid" select="@uid"/>
						<tr>
							<td nowrap="nowrap"><xsl:value-of select="@month"/></td>
							<td nowrap="nowrap"><xsl:value-of select="@number"/></td>
							<td><xsl:value-of select="@create_dt"/></td>
							<td><xsl:value-of select="@pay_dt"/></td>			
							<td nowrap="nowrap"><xsl:value-of select="@summ"/></td>
							<td nowrap="nowrap">			
								<xsl:choose>
									<xsl:when test="@status=0"> </xsl:when>
									<xsl:otherwise></xsl:otherwise>
								</xsl:choose>
							</td>
							<td nowrap="nowrap">
								<xsl:value-of select="@type_title" />
							</td>
							<td nowrap="nowrap">
								<xsl:choose>
									<xsl:when test="$uid=-1"></xsl:when>
									<xsl:otherwise></xsl:otherwise>
								</xsl:choose>
							</td>
							
							<td>
								<a href="{$PDFEXECUTER}?mid={$mid}&amp;id={@id}">PDF</a>
							</td>
							
							<xsl:choose>
								<xsl:when test="@uid=-1 and @status=0">
								<td>
									<xsl:call-template name="formButton">
										<xsl:with-param name="data">
											<xsl:call-template name="module"/>
											<input type="hidden" name="action" value="DelBill" />
											<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute></input>
											<input type="hidden" name="year"><xsl:attribute name="value"><xsl:value-of select="date/@year"/></xsl:attribute></input>
											<input type="hidden" name="month"><xsl:attribute name="value"><xsl:value-of select="date/@month"/></xsl:attribute></input>
											<input type="hidden" name="y"><xsl:attribute name="value"><xsl:value-of select="date/@selected_year"/></xsl:attribute></input>
											<input type="hidden" name="m"><xsl:attribute name="value"><xsl:value-of select="date/@selected_month"/></xsl:attribute></input>
										</xsl:with-param>
										<xsl:with-param name="guid" select="'_del'"/>
										<xsl:with-param name="title" select="''"/>
										<xsl:with-param name="confirm" select="' ?'"/>
									</xsl:call-template>								
								</td>
								</xsl:when>
								<xsl:otherwise>
									<td>&#x0A;</td>
								</xsl:otherwise>
							</xsl:choose>
						</tr>		
					  </xsl:for-each>
					</tbody>
				</table>
				<em class="comment">
					        <acronym title="Portable Document Format    ">PDF</acronym> .  Windows  Adobe Acrobat Reader  7.0  .
				</em>
			</div>
		</div>
	
	<xsl:if test="/data/type_list/item">
		<br/>
		<form method="post" action="{$WEBEXECUTER}">
		<table class="filter"><tr>
			<xsl:call-template name="module"/>
			<input type="hidden" name="action" value="AddBill" />
			<th> :</th>
			<td>
				<select name="type">
				<xsl:for-each select="/data/type_list/item">
					<option>
						<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
						<xsl:value-of select="@title"/>
					</option>
				</xsl:for-each>						
				</select>
			</td>
			<th></th>
			<td>
				<select name="account">
				<xsl:for-each select="/data/account_list/item">
					<option>
						<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
						<xsl:value-of select="@title"/>
					</option>
				</xsl:for-each>						
				</select>
			</td>
			<td>
				<xsl:call-template name="submit"><xsl:with-param name="title" select="' '"/></xsl:call-template>
			</td>
		</tr></table>
		</form>		
	</xsl:if>
	
</xsl:template>



<xsl:template name="Invoice">
	<xsl:variable name="mid" select="@mid"/>
	
	<xsl:call-template name="error"/>
	
	<div class="report">
	
		<xsl:call-template name="pagesBar">
			<xsl:with-param name="node" select="bills"/>
			<xsl:with-param name="data">
				<xsl:call-template name="action"/>				
			</xsl:with-param>
		</xsl:call-template>
	
		<div>
			<table class="table800">
				<thead>
					<tr>
						<td></td>
						<td></td>
						<td></td>
						<td> </td>
						<td></td>
						<td>&#x0A;</td>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="bills/bill">
					<xsl:variable name="uid" select="@uid"/>
					<tr>
						<td nowrap="nowrap"><xsl:value-of select="@month"/></td>
						<td nowrap="nowrap"><xsl:value-of select="@number"/></td>
						<td nowrap="nowrap"><xsl:value-of select="@type_title"/></td>
						<td><xsl:value-of select="@create_dt"/></td>
						<td nowrap="nowrap"><xsl:value-of select="@summ"/></td>
						<td>
							<a href="{$PDFEXECUTER}?Invoice=&amp;mid={$mid}&amp;id={@id}">PDF</a>
						</td>
					</tr>		
					</xsl:for-each>
				</tbody>
			</table>
		</div>
		
		<em class="comment">
			        <acronym title="Portable Document Format    ">PDF</acronym> .  Windows  Adobe Acrobat Reader  7.0  .
		</em>
	</div>

</xsl:template>


<xsl:template name="AddBill">
	<xsl:variable name="mid" select="@mid"/>

	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"/>
	
		<input type="hidden" name="create" value="1"/>
	
		<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="/data/bill/@type"/></xsl:attribute></input>
		<input type="hidden" name="account"><xsl:attribute name="value"><xsl:value-of select="/data/bill/@account"/></xsl:attribute></input>
		<input type="hidden" name="for_date"><xsl:attribute name="value"><xsl:value-of select="/data/bill/@for_date"/></xsl:attribute></input>
	
	<div class="report">
		<table width="600" cellspacing="1">
		<thead>
		  <tr>
			<td colspan="2" align="left"> </td>
		  </tr>
		</thead>
		<tbody>
		  <xsl:for-each select="/data/bill/pos">
		  	<tr>
		  		<td>
		  			<input type="hidden">
		  				<xsl:attribute name="name"><xsl:value-of select="concat('name_', position())" /></xsl:attribute>
		  				<xsl:attribute name="value"><xsl:value-of select="@name" /></xsl:attribute>
		  			</input>
		  			<input type="hidden">
		  				<xsl:attribute name="name"><xsl:value-of select="concat('unit_', position())" /></xsl:attribute>
		  				<xsl:attribute name="value"><xsl:value-of select="@unit" /></xsl:attribute>
		  			</input>		  					  		
		  			<xsl:value-of select="@name" />
		  		</td>
		  		<td width="100">
		  			<input type="text">
		  				<xsl:attribute name="name"><xsl:value-of select="concat('summ_', position())" /></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="@summ" /></xsl:attribute>
		  			</input>		  			
		  		</td>
		  	</tr>
		  </xsl:for-each>
	</tbody>
	<tfoot>
		  <tr>
			<td colspan="2">
				<div align="right">
					<xsl:call-template name="okCancel">
						<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Bill&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
					</xsl:call-template>
				</div>
			</td>
	   	  </tr>	
	  </tfoot>
		</table>	
	</div>
	</form>
	
	<!-- 
	<table><tr><td>
	<table width="100%" border="1" cellpadding="3" cellspacing="0">
	  <tr>
		<td class="tl" colspan="2" align="left"> </td>
	  </tr>
	  <xsl:for-each select="poses/pos">
	  	<tr>
	  		<td class="tvl">
	  			<xsl:value-of select="@name" />
	  		</td>
	  		<td
	  			class="tv"
	  			width="100">
	  			<xsl:value-of select="@summ" />
	  		</td>
	  	</tr>
	  </xsl:for-each>
	  <tr>
		<form method="post" action="webex ecuter">
			<xsl:call-template name="statusTrigger"/>
			<input type="hidden" name="prepared" value="prepared"/>
			<input type="hidden" name="for_date">
				<xsl:attribute name="value"><xsl:value-of select="poses/@for_date"/></xsl:attribute>
			</input>
	
			<td class="tv" colspan="2">	
				<div align="right">
					<xsl:call-template name="accounts_list"/>
				
					<xsl:if test="poses/@summ>0">
						<input type="submit" value="" class="w100"/>
					</xsl:if>
					<input type="button" value="" class="w100">
						<xsl:attribute name="onClick">window.location.replace( 'webex ecuter?action=Bill&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:attribute>
					</input>
				</div>
			</td>
		</form>
	 </tr>	
	</table>
	<br/>		
			
	<table border="1" cellpadding="3" cellspacing="0">
	  <tr>
		<td class="tl" colspan="2"> </td>
	  </tr>
	  	<xsl:variable name="uid" select="@uid"/>
		
		<form method="post" action="webex ecuter">
		<xsl:call-template name="statusTrigger"/>
		<input type="hidden" name="for_date"><xsl:attribute name="value"><xsl:value-of select="poses/@for_date"/></xsl:attribute></input>
		<tr>
			<td class="tvl" nowrap="nowrap" width="200">  </td>
			<td class="tv"><xsl:call-template name="select_service"/></td>
		</tr>	
		<tr>
			<td class="tvl" nowrap="nowrap">   </td>
			<td class="tv"><input type="text" name="summ" size="40"><xsl:attribute name="value"><xsl:value-of select="poses/@summ"/></xsl:attribute></input></td>
		</tr>
		<tr>
			<td class="tv" colspan="2">
				<div align="right">
				<xsl:call-template name="accounts_list"/>
				<input type="submit" value="" class="w100"/>
				<input type="button" value="" class="w100">
					<xsl:attribute name="onClick">window.location.replace( 'webex ecuter?action=Bill&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:attribute>
				</input>
				</div>
				</td>
		</tr>		
		</form>
	</table>
	</td></tr></table>
	 -->
</xsl:template>


<!-- ###########    #######################-->

<!--        -->
<xsl:template name="select_service">
	<select name="pos" style="width:100%">
		<xsl:for-each select="//data/positions/item">
			<option value="{@id}"><xsl:value-of select="@title"/></option>	
		</xsl:for-each>
	</select>
</xsl:template>

<!--        -->
<xsl:template name="accounts_list">
<xsl:choose>
<xsl:when test="count(accounts/account)>1">
 
	<select name='account'>
    <xsl:for-each select="accounts/account">
      <option>
         <xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
		 <xsl:value-of select="@title"/>
      </option>
    </xsl:for-each>
	</select>

	</xsl:when>
	
	<xsl:otherwise>
	<input type="hidden" name="account">
	<xsl:attribute name="value"><xsl:value-of select="accounts/account/@id"/></xsl:attribute>
	</input>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- 
 
<xsl: template name="month">
    <xsl:param name="count"/>
	<xsl:variable name="month" select="(date/@curr_month + $count + 12)mod 12"/>
    <option>
    	<xsl:if test="date/@curr_month = $month"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
    	<xsl:attribute name="value"><xsl:value-of select="$count"/></xsl:attribute>
		
		<xsl:choose>
			<xsl:when test="$month = 0"></xsl:when>
			<xsl:when test="$month = 1"></xsl:when>
			<xsl:when test="$month = 2"></xsl:when>
			<xsl:when test="$month = 3"></xsl:when>
			<xsl:when test="$month = 4"></xsl:when>
			<xsl:when test="$month = 5"></xsl:when>
			<xsl:when test="$month = 6"></xsl:when>
			<xsl:when test="$month = 7"></xsl:when>
			<xsl:when test="$month = 8"></xsl:when>
			<xsl:when test="$month = 9"></xsl:when>
			<xsl:when test="$month = 10"></xsl:when>
			<xsl:when test="$month = 11"></xsl:when>
		</xsl:choose>		
	</option>
</xsl:template>
-->

</xsl:stylesheet>